> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Find a given Media Image by ID

> ## Find a given Media Image by ID ##

Using a specific Media ID fetch the image associated.

#### Response ####

**Top Level Result Object**

 <table class="fullwidth">
     <thead>
         <tr>
             <th>Field name</th>
             <th>Nullable</th>
             <th>Type</th>
             <th>Description</th>
         </tr>
     </thead>
     <tbody>
         <tr>
             <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
         </tr>
         <tr>
             <td>path</td><td>n</td><td>String</td><td>Absolute URL path of image.</td>
         </tr>
         <tr>
             <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
         </tr>
         <tr>
             <td>active</td><td>y</td><td>Null</td><td>Unused.</td>
         </tr>
     </tbody>
 </table>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json get /{supplierapi}/media/{mediaId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/media/{mediaId}:
    get:
      tags:
        - Version 1
        - Media
      summary: Find a given Media Image by ID
      description: |-
        ## Find a given Media Image by ID ##

        Using a specific Media ID fetch the image associated.

        #### Response ####

        **Top Level Result Object**

         <table class="fullwidth">
             <thead>
                 <tr>
                     <th>Field name</th>
                     <th>Nullable</th>
                     <th>Type</th>
                     <th>Description</th>
                 </tr>
             </thead>
             <tbody>
                 <tr>
                     <td>mediaId</td><td>n</td><td>Integer</td><td>Media ID of the image.</td>
                 </tr>
                 <tr>
                     <td>path</td><td>n</td><td>String</td><td>Absolute URL path of image.</td>
                 </tr>
                 <tr>
                     <td>caption</td><td>y</td><td>String</td><td>Optional image caption.</td>
                 </tr>
                 <tr>
                     <td>active</td><td>y</td><td>Null</td><td>Unused.</td>
                 </tr>
             </tbody>
         </table>
      operationId: get_media_image
      parameters:
        - name: size
          in: query
          description: Optional size of images to fetch. Defaults to small (sm).
          required: false
          schema:
            type: string
            default: sm
            enum:
              - sm
              - med
              - lg
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
        - name: mediaId
          in: path
          required: true
          schema:
            type: string
            pattern: \d+
      responses:
        '200':
          description: Returned when successful.
        '400':
          description: Returned when size requested does not match allowed sizes.
        '403':
          description: Returned when you do not have access to the requested Image.
        '404':
          description: Returned when Image not found.
        '500':
          description: Internal error.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.